html.dark {
    --prism-back: #2d2d2d;
    --prism-gray: #999;
    --prism-font: #ccc;
    --prism-red: #e2777a;
    --prism-dark-blue: #6196cc;
    --prism-orange: #f08d49;
    --prism-yellow: #f8c555;
    --prism-purple: #cc99cd;
    --prism-green: #7ec699;
    --prism-light-blue: #67cdcc;

    --copy-back: #5e5e5e66;
    --copy-hover: #676767;
    --copy-back-success: #538653;
    --copy-border-success: #6aae6a;
    --copy-color-success: #8bd082;
    --copy-back-fail: #8b5050;
    --copy-border-fail: #b36868;
    --copy-color-fail: #d48282;
}

html.light {
    --prism-back: #c7c7c7;
    --prism-gray: #777;
    --prism-font: #333333;
    --prism-red: #bf3335;
    --prism-dark-blue: #3475b5;
    --prism-orange: #d5651a;
    --prism-yellow: #cc9214;
    --prism-purple: #b04fb1;
    --prism-green: #20934c;
    --prism-light-blue: #13aeac;
    
    --copy-back: #48484866;
    --copy-hover: #717171;
    --copy-back-success: #69a969;
    --copy-border-success: #84da84;
    --copy-color-success: #a2f498;
    --copy-back-fail: #dc6565;
    --copy-border-fail: #dc6464;
    --copy-color-fail: #e89090;
}

html.code-off {
    --prism-red: var(--prism-font);
    --prism-dark-blue: var(--prism-font);
    --prism-orange: var(--prism-font);
    --prism-yellow: var(--prism-font);
    --prism-purple: var(--prism-font);
    --prism-green: var(--prism-font);
    --prism-light-blue: var(--prism-font);
}

html.dark.code-off  {--prism-light-blue-alt: #67cdcc;}
html.light.code-off {--prism-light-blue-alt: #13aeac;}

code[class*=language-],pre[class*=language-] {
    color: var(--prism-font);
    background: 0 0;
    font-family: Consolas,Monaco,"Andale Mono","Ubuntu Mono",monospace;
    font-size: 1em;
    text-align: left;
    white-space: pre;
    word-spacing: normal;
    word-break: normal;
    word-wrap: normal;
    line-height: 1.5;
    -moz-tab-size: 4;
    -o-tab-size: 4;
    tab-size: 4;
    -webkit-hyphens: none;
    -moz-hyphens: none;
    hyphens: none
}

pre[class*=language-] {
    padding: 1em;
    margin: .5em 0;
    overflow: auto
}

:not(pre)>code[class*=language-],pre[class*=language-] {background: var(--prism-back)}

:not(pre)>code[class*=language-] {
    padding: .1em;
    border-radius: .3em;
    white-space: normal
}

.token.block-comment,.token.cdata,.token.comment,.token.doctype,.token.prolog {color: var(--prism-gray)}
.token.punctuation {color: var(--prism-font)}
.token.attr-name,.token.deleted,.token.namespace,.token.tag {color: var(--prism-red)}
.token.function-name {color: var(--prism-dark-blue)}
.token.boolean,.token.function,.token.number {color: var(--prism-orange)}
.token.class-name,.token.constant,.token.property,.token.symbol {color: var(--prism-yellow)}
.token.atrule,.token.builtin,.token.important,.token.keyword,.token.selector {color: var(--prism-purple)}
.token.attr-value,.token.char,.token.regex,.token.string,.token.variable {color: var(--prism-green)}
.token.entity,.token.operator,.token.url {color: var(--prism-light-blue)}
.token.bold,.token.important {font-weight: 700}
.token.italic {font-style: italic}
.token.entity {cursor: help}
.token.inserted {color: green}